
Figure - Bug #118018
【IOVDEV-28185】【VC1】【0095】【台架】【EE环境】【副屏】【文件】副屏在删除下载错误的应用包时
，无法进行删除
2023-05-17 20:44 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-17

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0095.c103

Resolution: WONTFIX Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【问题出现时间】：20230515 19：18

【前提条件】：副屏上电

【操作步骤】

【预置条件】：副屏先下载应用下载失败

1.打开文件

2.点击相关APK包

3.点击删除

【实际结果】

1.apk应用包无法进行删除

【期望结果】

1.删除成功

【备注】：

第124次开机

【应用版本】：

【硬件版本号】：

【中控版本号】：03.02.0080.c101

【副屏版本号】：01.00.0095.c103

History

#1 - 2023-05-17 20:45 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118018/tlog_iov0201017500006162025411a2212290000000601_000124_0515200905.tar.gz

#2 - 2023-05-17 21:48 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118018/tlog_iov0201017500006162025411a2212290000000601_000124_0515200905.tar.gz


#3 - 2023-05-18 20:00 - CD APP-王宏

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD APP-王宏 to CDTS_TEST 王成

■ Current conclusion

已分析

■ My analysis

文件删除不成功，在末尾处做删除确认

■ Next action

请帮忙确认无法删除的文件是如何出现，并且我们在删除过程中，产生该文件的程序是否还在运行（重复创建）

#4 - 2023-05-19 17:42 - CD TEST-方永红

- Assignee changed from CDTS_TEST 王成 to CD APP-王宏

客户反馈如下

错误的应用文件是跑monkey命令的时候生成的，是Edge浏览器下载下来的

#5 - 2023-05-19 18:46 - CD APP-王宏

■ Current conclusion

分析中

■ My analysis

ModernMediaScanner: Failed to visit /storage/emulated/0/Download/.pending-1685095345-爱奇艺.apk: java.nio.file.NoSuchFileException:

/storage/emulated/0/Download/.pending-1685095345-爱奇艺.apk

似乎是对应的Uri未正确命中文件，实际的文件是 爱奇艺.apk

■ Next action

继续排查

#6 - 2023-05-22 18:55 - CD APP-王宏

■ Current conclusion

分析中

■ My analysis

在Android 12 中，其他APP创建的文件在文件管理器中是没有访问权限的，类似

content://com.android.providers.downloads.documents/document/msf:97

■ Next action

1.转换成file文件直接删除

2.深入跟进，在fileProvider内直接完整删除

3.调查uri在数据库中的结构，找到对应关系，直接删除

#7 - 2023-05-23 15:41 - CD APP-王宏

- Status changed from NEED_INFO to ASSIGNED

- % Done changed from 0 to 50

■ Current conclusion

分析完毕
■ My analysis

根据调查确实无法删除相关文件，根据RE管理器,Amaze,CX文件管理器上的做法都是将相关文件隐藏掉

■ Next action

修改界面展示逻辑，隐藏掉相关空文件

#8 - 2023-05-30 10:48 - CD APP-王宏

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD APP-王宏 to CDTS_TEST 王成

■ Current conclusion

分析完毕

■ My analysis

通过在原生平板上同时使用百度浏览器和edge浏览器的对比分析，发现百度在下载完毕之前，是不会将文件更新到文件夹里的。

而edge则会先在文件夹里创建一个空的文件，但是edge浏览器本身又有安全措施，会在你下载前提醒你下载的apk可能会对系统有害，是否继续下载。

在这期间，我们不点确定，返回文件系统内部，则会发现/Downloads目录下载的该文件无法删除了。

因此本issue的最终原因是因为edge浏览器错误的下载流程导致，而非是文件管理器的原因

■ Next action

文件管理器原生逻辑如此，此问题是edge浏览器问题，申请关闭

#9 - 2023-06-03 17:40 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

6.3

客户已关闭，同步关闭

#10 - 2023-06-03 17:40 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Resolution changed from -- to WONTFIX

#11 - 2023-06-03 17:40 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

- % Done changed from 50 to 100

Files

飞书20230515-201352.mp4 2.45 MB 2023-05-17 CDTS_TEST 王成
